#programa : MD5.py
#autor : jorge nolasco valenzuela
#fecha : 14-07-2017
"""
descripcion : este programa muestra
el uso de import hashlib - Algoritmo MD5
"""
import hashlib
#ingresamos la cadena
cadena=input("Ingrese Cadena a Codificar :")
# Crear un objeto llamado hash1 que es del tipo MD5
hash1=hashlib.md5()
# Utilizar el método update para generar el MD5 de la cadena
hash1.update(cadena.encode("UTF-8"))
# Obtener los valores hexadecimales generados del MD5 ,Mediante la utilización del método hex-digest
hex1=hash1.hexdigest()
# Imprimir el resultado
print("MD5: " + hex1.upper())


